.. index::
   pair: kubectl ; minikube

.. _minikube_kubectl:

=======================================================================================================
minikube **kubectl** (controls the Kubernetes cluster manager)
=======================================================================================================

.. seealso::

   - https://minikube.sigs.k8s.io/docs/commands/kubectl/
   - https://github.com/kubernetes/minikube/edit/master/site/content/en/docs/commands/kubectl.md




minikube kubectl
=================

::

    minikube kubectl


::

    > kubectl.sha256: 65 B / 65 B [--------------------------] 100.00% ? p/s 0s
    > kubectl: 41.98 MiB / 41.98 MiB [---------------] 100.00% 10.25 MiB p/s 4s
    kubectl controls the Kubernetes cluster manager.

     Find more information at: https://kubernetes.io/docs/reference/kubectl/overview/

    Basic Commands (Beginner):
      create        Create a resource from a file or from stdin.
      expose        Take a replication controller, service, deployment
                    or pod and expose it as a new Kubernetes Service
      run           Run a particular image on the cluster
      set           Set specific features on objects

    Basic Commands (Intermediate):
      explain       Documentation of resources
      get           Display one or many resources
      edit          Edit a resource on the server
      delete        Delete resources by filenames, stdin, resources
                    and names, or by resources and label selector

    Deploy Commands:
      rollout       Manage the rollout of a resource
      scale         Set a new size for a Deployment, ReplicaSet or Replication Controller
      autoscale     Auto-scale a Deployment, ReplicaSet, or ReplicationController

    Cluster Management Commands:
      certificate   Modify certificate resources.
      cluster-info  Display cluster info
      top           Display Resource (CPU/Memory/Storage) usage.
      cordon        Mark node as unschedulable
      uncordon      Mark node as schedulable
      drain         Drain node in preparation for maintenance
      taint         Update the taints on one or more nodes

    Troubleshooting and Debugging Commands:
      describe      Show details of a specific resource or group of resources
      logs          Print the logs for a container in a pod
      attach        Attach to a running container
      exec          Execute a command in a container
      port-forward  Forward one or more local ports to a pod
      proxy         Run a proxy to the Kubernetes API server
      cp            Copy files and directories to and from containers.
      auth          Inspect authorization

    Advanced Commands:
      diff          Diff live version against would-be applied version
      apply         Appliquer une configuration à une ressource par nom
                    de fichier ou depuis stdin
      patch         Update field(s) of a resource using strategic merge patch
      replace       Replace a resource by filename or stdin
      wait          Experimental: Wait for a specific condition on one or many resources.
      convert       Convert config files between different API versions
      kustomize     Build a kustomization target from a directory or a remote url.

    Settings Commands:
      label         Update the labels on a resource
      annotate      Mettre à jour les annotations d'une ressource
      completion    Output shell completion code for the specified shell
                    (bash or zsh)

    Other Commands:
      alpha         Commands for features in alpha
      api-resources Print the supported API resources on the server
      api-versions  Print the supported API versions on the server, in the form of "group/version"
      config        Modifier des fichiers kubeconfig
      plugin        Provides utilities for interacting with plugins.
      version       Print the client and server version information

    Usage:
      kubectl [flags] [options]

    Use "kubectl <command> --help" for more information about a given command.
    Use "kubectl options" for a list of global command-line options (applies to all commands).
